'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _dedent = require('dedent');

var _dedent2 = _interopRequireDefault(_dedent);

var _git = require('../git');

exports['default'] = commit;

/**
 * Asynchronously commits files using commitizen
 */
function commit(sh, inquirer, repoPath, prompter, options, done) {

  // Get user input -- side effect that is hard to test
  prompter(inquirer, function (template, overrideOptions) {

    // Commit the user input -- side effect that we'll test
    (0, _git.commit)(sh, repoPath, template, _extends({}, options, overrideOptions), function () {
      done(template);
    });
  });
}
module.exports = exports['default'];